# Copyright (C) 2021 Bosutech XXI S.L.
#
# nucliadb is offered under the AGPL v3.0 and as commercial software.
# For commercial licensing, contact us at info@nuclia.com.
#
# AGPL:
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
from __future__ import annotations

import asyncio

from nucliadb.ingest.chitchat import start_chitchat as start_chitchat_ingest
from nucliadb.ingest.orm.node import DefinedNodesNucliaDBSearch
from nucliadb.search.settings import settings


def start_chitchat(service_name: str):
    if settings.nodes_load_ingest:
        # used for testing proposes get nodes from a real ingest
        load_nodes = DefinedNodesNucliaDBSearch()
        asyncio.create_task(load_nodes.start(), name="NODES_LOAD")
    else:
        start_chitchat_ingest(service_name)
